Bug 4522 - not found ISA PNP soundcard ESS 1869
: not found ISA PNP soundcard ESS 1869
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kudzu)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-06-28 10:23 by
Modified: 2005-07-13 15:46 (History)


Attachments
lsmod (882 bytes, text/plain)
2004-07-01 07:39, Mike Lykov
no flags Details
lspcidrake (873 bytes, text/plain)
2004-07-01 07:40, Mike Lykov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-06-28 10:23:51
при установке master 2.4 beta не определяется isa pnp soundcard и не
устанавливается ничего для нее. 
pnpdump в бете нет, kudzu при установке/загрузке ничего не находит.
если загрузить модуль sb - звук есть.
прописал sb в /etc/modules - он загрузился, после чего выскочил kudzu и
предложил настроить. настроил (прописал карту в /etc/modules.conf), работает.
После этого я убрал модуль sb из /etc/modules - при загрузке , не видя этого
загруженного модуля, kudzu выскочил и предложил убрать карту из конфигурации. 
alsaconf вообще не нашел карты.
------- Comment #1 From 2004-06-28 12:44:36 -------
sndconfig?
------- Comment #2 From 2004-06-29 15:52:17 -------
лечить нужно kudzu, чтобы тот модуль isa-pnp звал

------- Comment #3 From 2004-06-29 17:47:11 -------
по инстанции
------- Comment #4 From 2004-06-29 18:29:28 -------
а какие модули загружены сразу после установки системы?
(lsmod, please)

Также - что говорит cat /proc/isapnp ?
------- Comment #5 From 2004-07-01 07:39:40 -------
Created an attachment (id=458) [details]
lsmod from that comp
------- Comment #6 From 2004-07-01 07:40:18 -------
Created an attachment (id=459) [details]
lspcidrake from that comp
------- Comment #7 From 2004-07-01 07:44:56 -------
sndconfig в бете1 я не нашел. 
cat /proc/isapnp говорит, что такого нет. 
модули сразу после загрузки (без ручной загрузки sb или snd-es18xx) в 
аттаче lsmod, там же lspcidrake с этой машины (на всякий случай). 
 
Кстати, kernel-modules-alsa инсталлятором не поставился, пришлось 
доставлять вручную (чтобы попробовать модуль snd-es18xx, работает) 
------- Comment #8 From 2004-07-01 13:21:21 -------
А после modprobe isa-pnp видно /proc/isapnp ?
 
------- Comment #9 From 2004-07-01 17:50:21 -------
fixed (kudzu-1.1.13-alt7)
------- Comment #10 From 2004-07-02 07:29:23 -------
 %)) 
только-только я собрался сюда весь вывод от cat /proc/isapnp после 
загрузки модуля isa-pnp, как баг уже фиксед ;) 
Да, после загрузки модуля isa-pnp перед kudzu в /proc/ появляется 
информация о карте, и kudzu начинает работать. счтаем закрытым. 
 
------- Comment #11 From 2004-07-02 10:09:04 -------
Только проверьте на новом kudzu. Он модуль должен сам загружать.
------- Comment #12 From 2004-07-19 08:04:02 -------
проверил. при установке загружает модуль, запускается kudzu и настраивает карту
на модуль sb.
------- Comment #13 From 2004-07-19 09:23:40 -------
Спасибо.